Pieter Edelman
4 May 2010

Lynuxworks heeft versie 4.0 uitgebracht van zijn Lynxsecure-hypervisor voor embedded toepassingen. De nieuwe versie ondersteunt Intels Core I5- en I7-processoren en geeft meer configuratiemogelijkheden aan de gast-OS‘en. Bovendien kunnen gevirtualiseerde besturingssystemen in SMP-uitvoering worden uitgesmeerd over meerdere cores. Met Lynxsecure kunnen meerdere applicaties en besturingssystemen naast elkaar draaien op een enkel platform. Daarbij krijgt elke toepassing zijn eigen geïsoleerde partitie. Een multicore processor smelt meerdere fysieke systemen tot een enkel platform samen. De hypervisor is geschikt voor toepassingen als automotive, consumentenelektronica, industriële, medische en netwerkapparatuur.

Met Lynxsecure 4.0 wordt ook de laatste versie van de Luminosity-IDE meegeleverd. Versie 4.7 van deze Eclipse-gebaseerde ontwikkelomgeving biedt volledige ondersteuning voor de Lynxsecure 4.0-hypervisorkernel en verschillende gast-OS‘en. Bovendien voorziet de tool in een interface voor het configureren van de hypervisor, het samenstellen van een systeem en het builden van een image. De hele softwarestapel kan op het target worden gedebugd in Luminosity.

Besturingsystemen kunnen ongewijzigd draaien op Lynxsecure, maar ook via paravirtualisatie voor betere prestaties. Linux en het LynxOS-RTos zijn beschikbaar in paravirtualisatieuitvoeringen voor Lynxsecure. Naast de SMP-optie is er de mogelijkheid om gevirtualiseerde OS‘en een enkele core te laten delen of exclusieve toegang te geven tot een core.

Volgens Lynuxworks draaien de gastbesturingssystemen dankzij de virtualistiehardware in de Core I5 en I7 met bijna normale prestaties. Lynxsecure heeft ingebouwde ondersteuning voor virtuele netwerken, zodat Windows-toepassingen via TCP/IP kunnen communiceren met andere gevirtualiseerde OS‘en.